Index: branches/OaaS/HeuristicLab.Services.Hive.Scaler/HeuristicLab.Services.Optimization.Scaler.csproj
===================================================================
--- branches/OaaS/HeuristicLab.Services.Hive.Scaler/HeuristicLab.Services.Optimization.Scaler.csproj	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Hive.Scaler/HeuristicLab.Services.Optimization.Scaler.csproj	(revision 9582)
@@ -33,27 +33,28 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="Microsoft.Practices.EnterpriseLibrary.Common">
+    <Reference Include="Microsoft.Practices.EnterpriseLibrary.Common, Version=5.0.505.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\EnterpriseLibrary.Common.5.0.505.0\lib\NET35\Microsoft.Practices.EnterpriseLibrary.Common.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Practices.EnterpriseLibrary.WindowsAzure.Autoscaling">
+    <Reference Include="Microsoft.Practices.EnterpriseLibrary.WindowsAzure.Autoscaling, Version=5.0.1118.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\EnterpriseLibrary.WindowsAzure.Autoscaling.5.0.1118.2\lib\NET4\Microsoft.Practices.EnterpriseLibrary.WindowsAzure.Autoscaling.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Practices.ServiceLocation">
+    <Reference Include="Microsoft.Practices.ServiceLocation, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\CommonServiceLocator.1.0\lib\NET35\Microsoft.Practices.ServiceLocation.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Practices.Unity">
+    <Reference Include="Microsoft.Practices.Unity, Version=2.1.505.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\Unity.2.1.505.2\lib\NET35\Microsoft.Practices.Unity.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Practices.Unity.Configuration">
+    <Reference Include="Microsoft.Practices.Unity.Configuration, Version=2.1.505.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\Unity.2.1.505.2\lib\NET35\Microsoft.Practices.Unity.Configuration.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Practices.Unity.Interception">
+    <Reference Include="Microsoft.Practices.Unity.Interception, Version=2.1.505.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\Unity.Interception.2.1.505.2\lib\NET35\Microsoft.Practices.Unity.Interception.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Practices.Unity.Interception.Configuration">
+    <Reference Include="Microsoft.Practices.Unity.Interception.Configuration, Version=2.1.505.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\Unity.Interception.2.1.505.2\lib\NET35\Microsoft.Practices.Unity.Interception.Configuration.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, processorArchitecture=MSIL">
-      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.0\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
+    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.3\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
@@ -65,5 +66,5 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Data.Services.Client" />
-    <Reference Include="System.Reactive">
+    <Reference Include="System.Reactive, Version=1.0.10621.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
       <HintPath>..\packages\Rx-Main.1.0.11226\lib\Net4\System.Reactive.dll</HintPath>
     </Reference>
Index: branches/OaaS/HeuristicLab.Services.Hive.WebRole/HeuristicLab.Services.Hive.WebRole.csproj
===================================================================
--- branches/OaaS/HeuristicLab.Services.Hive.WebRole/HeuristicLab.Services.Hive.WebRole.csproj	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Hive.WebRole/HeuristicLab.Services.Hive.WebRole.csproj	(revision 9582)
@@ -41,6 +41,7 @@
   <ItemGroup>
     <Reference Include="Microsoft.CSharp" />
-    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, processorArchitecture=MSIL">
-      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.0\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
+    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.3\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
@@ -114,5 +115,4 @@
     <Content Include="HeuristicLab.ico" />
     <Content Include="HiveService.svc" />
-    <Content Include="packages.config" />
     <Content Include="Status.aspx" />
     <Content Include="TempImageFiles\dummy.txt" />
@@ -141,4 +141,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <Content Include="packages.config" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
Index: branches/OaaS/HeuristicLab.Services.Optimization.Billing/Business/BillingService.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Billing/Business/BillingService.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Billing/Business/BillingService.cs	(revision 9582)
@@ -46,4 +46,18 @@
 
     #endregion
+
+
+    public IList<Order> GetOrders(string userName) {
+      throw new System.NotImplementedException();
+    }
+
+
+    public User GetUser(string userName) {
+      throw new System.NotImplementedException();
+    }
+
+    public void SaveUser(User user) {
+      throw new System.NotImplementedException();
+    }
   }
 }
Index: branches/OaaS/HeuristicLab.Services.Optimization.Billing/Business/MockupBillingService.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Billing/Business/MockupBillingService.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Billing/Business/MockupBillingService.cs	(revision 9582)
@@ -9,4 +9,6 @@
     private static IDictionary<string, IList<Model.Order>> userToOrders;
     private static IList<Model.Order> allOrders;
+    private static IDictionary<string, Model.User> users;
+    private static long maxId = 1;
 
     static MockupBillingService() {
@@ -29,4 +31,5 @@
       userToOrders = new Dictionary<string, IList<Model.Order>>();
       allOrders = new List<Model.Order>();
+      users = new Dictionary<string, Model.User>();
     }
 
@@ -38,8 +41,22 @@
       IList<Model.Order> orders;
       if (!userToOrders.TryGetValue(order.User.Name, out orders)) {
-        userToOrders[order.User.Name] = orders = new List<Model.Order>();
+        userToOrders[order.User.Name] = orders = new List<Model.Order>();        
       }
-      orders.Add(order);
-      allOrders.Add(order);
+      var oldOrder = (from o in orders where o.OrderId == order.OrderId select o).FirstOrDefault();
+      if (oldOrder == null) {
+        order.OrderId = maxId++;
+        orders.Add(order);
+        allOrders.Add(order);
+      }
+      else {
+        oldOrder.Invoices = order.Invoices;
+        oldOrder.OrderLines = order.OrderLines;
+        oldOrder.OrderStateId = order.OrderStateId;
+        oldOrder.State = order.State;
+        oldOrder.ActiveSince = order.ActiveSince;
+        oldOrder.ActiveUntil = order.ActiveUntil;
+        oldOrder.BillingPeriod = order.BillingPeriod;
+        oldOrder.BillingType = order.BillingType;
+      }
     }
 
@@ -47,4 +64,21 @@
       return (from o in allOrders where o.State == state select o).ToList();
     }
+
+
+    public IList<Model.Order> GetOrders(string userName) {
+      return (from o in allOrders where o.User.Name == userName select o).ToList();
+    }
+
+
+    public Model.User GetUser(string userName) {
+      Model.User user;
+      if (!users.TryGetValue(userName, out user))
+        return null;
+      return user;
+    }
+
+    public void SaveUser(Model.User user) {
+      users[user.Name] = user;
+    }
   }
 }
Index: branches/OaaS/HeuristicLab.Services.Optimization.Billing/Interfaces/IOptimizationBilling.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Billing/Interfaces/IOptimizationBilling.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Billing/Interfaces/IOptimizationBilling.cs	(revision 9582)
@@ -17,4 +17,8 @@
     [OperationContract]
     IList<Order> GetOrdersByState(OrderState state);
+    IList<Order> GetOrders(string userName);
+
+    User GetUser(string userName);
+    void SaveUser(User user);
   }
 }
Index: branches/OaaS/HeuristicLab.Services.Optimization.Billing/Model/Model.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Billing/Model/Model.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Billing/Model/Model.cs	(revision 9582)
@@ -15,4 +15,11 @@
   }
 
+  public class PaymentInformation {
+    public long PaymentInformationId { get; set; }
+    public string CardNumber { get; set; }
+    public PaymentMethod PaymentMethod { get; set; }
+    public string AdditionalInformation { get; set; }
+  }
+
   public enum PaymentMethod {
     Cheque,
@@ -21,4 +28,15 @@
     PayPal,
     Diners
+  }
+
+  public enum BillingType {
+    Pre,
+    Post
+  }
+
+  public enum BillingPeriod {
+    Weekly,
+    Monthly,
+    Yearly
   }
 
@@ -34,4 +52,5 @@
     public long UserId { get; set; }
     public string Name { get; set; }
+    public virtual IList<PaymentInformation> PaymentInformation { get; set; }
   }
 
@@ -47,9 +66,9 @@
     public long OrderId { get; set; }
     public long UserId { get; set; }
-    public string BillingType { get; set; }
+    public BillingType BillingType { get; set; }
     public long OrderStateId { get; set; }
-    public string BillingPeriod { get; set; }
-    public DateTime ActiveSince { get; set; }
-    public DateTime ActiveUntil { get; set; }
+    public BillingPeriod BillingPeriod { get; set; }
+    public DateTime? ActiveSince { get; set; }
+    public DateTime? ActiveUntil { get; set; }
 
 
Index: branches/OaaS/HeuristicLab.Services.Optimization.Controller/HeuristicLab.Services.Optimization.ControllerService.csproj
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Controller/HeuristicLab.Services.Optimization.ControllerService.csproj	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Controller/HeuristicLab.Services.Optimization.ControllerService.csproj	(revision 9582)
@@ -151,5 +151,5 @@
     <Reference Include="Microsoft.WindowsAzure.ServiceRuntime, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
     <Reference Include="Microsoft.WindowsAzure.StorageClient, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
-    <Reference Include="Newtonsoft.Json">
+    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
       <HintPath>..\packages\Newtonsoft.Json.4.5.11\lib\net40\Newtonsoft.Json.dll</HintPath>
     </Reference>
@@ -194,7 +194,5 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="packages.config">
-      <SubType>Designer</SubType>
-    </None>
+    <None Include="packages.config" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/BaseController.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/BaseController.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/BaseController.cs	(revision 9582)
@@ -5,4 +5,8 @@
 using System.Web.Mvc;
 using HeuristicLab.Services.Optimization.Web.Helpers;
+using HeuristicLab.Services.Optimization.Billing.Interfaces;
+using System.Web.Security;
+using HeuristicLab.Services.Optimization.Billing;
+using HeuristicLab.Services.Optimization.Billing.Business;
 
 namespace HeuristicLab.Services.Optimization.Web.Controllers
@@ -10,4 +14,6 @@
     public class BaseController : Controller
     {
+      private IOptimizationBilling billing = BillingServiceProvider.Instance;
+
       protected ControllerServiceHelper ControllerService {
         get {
@@ -18,5 +24,9 @@
       }
 
-      protected bool RedirectToLoginIfNecessary(string destination="%2fOptimization") {
+      protected string UserName {
+        get { MembershipUser currentUser = Membership.GetUser(User.Identity.Name, true /* userIsOnline */); return currentUser.UserName; }
+      }
+
+      protected bool RedirectToLoginIfNecessary(string destination="%2fOptimization", bool orderNecessary=true) {
         var pw = Session["pw"] as string;
         if (pw == null) {
@@ -24,4 +34,16 @@
           return true;
         }
+        if (orderNecessary)
+          return RedirectToCreateOrderIfNecessary();
+        return false;
+      }
+
+      protected bool RedirectToCreateOrderIfNecessary() {
+        MembershipUser currentUser = Membership.GetUser(User.Identity.Name, true /* userIsOnline */);
+        var activeOrderOfUser = (from order in billing.GetOrdersByState(Billing.Model.OrderState.Active) where order.User.Name == currentUser.UserName select order).FirstOrDefault();
+        if (activeOrderOfUser == null) {
+          // create a new order if there is no active order available
+          Response.Redirect("/Order/Overview");
+        }
         return false;
       }
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OrderAdminController.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OrderAdminController.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OrderAdminController.cs	(revision 9582)
@@ -14,11 +14,32 @@
 
     public ActionResult Index() {
-      var orders = billing.GetOrdersByState(Billing.Model.OrderState.Created);
-      return View(new OrderAdminModel() { Orders = orders });
+      return View(new OrderAdminModel() { 
+        ActiveOrders = billing.GetOrdersByState(Billing.Model.OrderState.Active),
+        CreatedOrders = billing.GetOrdersByState(Billing.Model.OrderState.Created),
+        SuspendedOrders = billing.GetOrdersByState(Billing.Model.OrderState.Suspended)
+      });
     }
 
     [HttpPost]
     public ActionResult ActivateOrder(OrderAdminModel model) {
-      var order = (from o in billing.GetOrdersByState(Billing.Model.OrderState.Created) where o.OrderId == model.OrderId select o).FirstOrDefault();
+      var order = (from o in billing.GetOrdersByState(Billing.Model.OrderState.Created) where o.OrderId == model.OrderId select o).FirstOrDefault();      
+      order.State = Billing.Model.OrderState.Active;
+      // TODO: Probably activate order via different method
+      billing.SaveOrder(order);
+      return RedirectToAction("Index");
+    }
+
+    [HttpPost]
+    public ActionResult SuspendOrder(OrderAdminModel model) {
+      var order = (from o in billing.GetOrdersByState(Billing.Model.OrderState.Active) where o.OrderId == model.OrderId select o).FirstOrDefault();
+      order.State = Billing.Model.OrderState.Suspended;
+      // TODO: Probably activate order via different method
+      billing.SaveOrder(order);
+      return RedirectToAction("Index");
+    }
+
+    [HttpPost]
+    public ActionResult ReactivateOrder(OrderAdminModel model) {
+      var order = (from o in billing.GetOrdersByState(Billing.Model.OrderState.Suspended) where o.OrderId == model.OrderId select o).FirstOrDefault();
       order.State = Billing.Model.OrderState.Active;
       // TODO: Probably activate order via different method
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OrderController.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OrderController.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OrderController.cs	(revision 9582)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.Services.Optimization.Web.Controllers {
   [Authorize(Roles = "Web User")]
-  public class OrderController : Controller {
+  public class OrderController : BaseController {
     private IOptimizationBilling billing = BillingServiceProvider.Instance;
 
@@ -16,14 +16,32 @@
     // GET: /Order/
 
-    public ActionResult Index() {
-      return CreateOrder(new OrderModel()); //View();
-    }
+        public ActionResult Index()
+        {
+          if (RedirectToLoginIfNecessary("Order", false))
+            return View();
+          return CreateOrder(new OrderModel()); //View();
+        }
+
+        public ActionResult Overview() {
+          if (RedirectToLoginIfNecessary("Order", false))
+            return View();
+          MembershipUser currentUser = Membership.GetUser(User.Identity.Name, true /* userIsOnline */);
+          var orders = billing.GetOrders(currentUser.UserName);
+          return View(new OverviewModel() { Orders = orders });
+        }
 
 
-    [HttpPost]
-    public ActionResult CreateOrder(OrderModel model) {
-      Session["order"] = model;
-      return AddProduct();
-    }
+        [HttpPost]
+        public ActionResult CreateOrder(OrderModel model) {
+          if (RedirectToLoginIfNecessary("Order", false))
+            return View();
+          Session["order"] = model;
+          var currentUser = Membership.GetUser(User.Identity.Name, true /* userIsOnline */);
+          if (billing.GetUser(currentUser.UserName) == null) {
+            billing.SaveUser(new User() { Name = currentUser.UserName, PaymentInformation = new List<PaymentInformation>() });
+          }
+          model.User = billing.GetUser(currentUser.UserName);
+          return AddProduct();
+        }
 
     public ActionResult AddProduct() {
@@ -52,6 +70,6 @@
     [HttpPost]
     [ActionName("SaveOrder")]
-    public ActionResult SaveOrderPost() {
-      var orderModel = Session["order"] as OrderModel;
+    public ActionResult SaveOrderPost(OrderModel orderModel) {
+      var orderProductModel = Session["order"] as OrderModel;
       //TODO: Save order via back-end
       var order = new Order() {
@@ -64,5 +82,5 @@
       var orderLines = new List<OrderLine>();
       var products = billing.GetProducts();
-      foreach (var key in orderModel.ProductQuantities.Keys) {
+      foreach (var key in orderProductModel.ProductQuantities.Keys) {
         var product = (from p in products where p.ProductId == key select p).FirstOrDefault();
         orderLines.Add(new OrderLine() {
@@ -70,5 +88,5 @@
           Product = product,
           ProductPrice = product.Price,
-          Quantity = orderModel.ProductQuantities[key]
+          Quantity = orderProductModel.ProductQuantities[key]
         });
       }
@@ -78,4 +96,25 @@
     }
 
+    public ActionResult Payment() {
+      var paymentModel = new PaymentModel();
+      return View(paymentModel);
+    }
+
+    [HttpPost]
+    public ActionResult SavePayment(PaymentModel model) {
+      var user = billing.GetUser(UserName);
+      var oldInfo = (from pi in user.PaymentInformation where pi.CardNumber == model.CardNumber select pi).FirstOrDefault();
+      if (oldInfo != null) {
+        oldInfo.AdditionalInformation = model.AdditionalInformation;
+        oldInfo.PaymentMethod = model.Method;
+        billing.SaveUser(user);
+      }
+      else {
+        user.PaymentInformation.Add(new PaymentInformation() { CardNumber = model.CardNumber, AdditionalInformation = model.AdditionalInformation, PaymentMethod = model.Method });
+      }
+
+      return RedirectToAction("SaveOrder");
+    }
+
     public ActionResult OrderSaved() {
       return View();
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Helpers/HtmlExtensions.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Helpers/HtmlExtensions.cs	(revision 9582)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Helpers/HtmlExtensions.cs	(revision 9582)
@@ -0,0 +1,39 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using System.Web.Mvc;
+using System.Linq.Expressions;
+using System.Text;
+using System.Web.Mvc.Html;
+
+namespace HeuristicLab.Services.Optimization.Web.Helpers {
+  // http://stackoverflow.com/questions/5621013/pass-enum-to-html-radiobuttonfor-mvc3
+  public static class HtmlExtensions {
+    public static MvcHtmlString RadioButtonForEnum<TModel, TProperty>(
+        this HtmlHelper<TModel> htmlHelper,
+        Expression<Func<TModel, TProperty>> expression
+    ) {
+      var metaData = ModelMetadata.FromLambdaExpression(expression, htmlHelper.ViewData);
+      var names = Enum.GetNames(metaData.ModelType);
+      var sb = new StringBuilder();
+      foreach (var name in names) {
+        var id = string.Format(
+            "{0}_{1}_{2}",
+            htmlHelper.ViewData.TemplateInfo.HtmlFieldPrefix,
+            metaData.PropertyName,
+            name
+        );
+
+        var radio = htmlHelper.RadioButtonFor(expression, name, new { id = id }).ToHtmlString();
+        sb.AppendFormat(
+            "<label for=\"{0}\">{1}</label> {2}",
+            id,
+            HttpUtility.HtmlEncode(name),
+            radio
+        );
+      }
+      return MvcHtmlString.Create(sb.ToString());
+    }
+  }
+}
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9582)
@@ -37,5 +37,5 @@
   <ItemGroup>
     <Reference Include="EntityFramework">
-      <HintPath>..\packages\EntityFramework.5.0.0\lib\net40\EntityFramework.dll</HintPath>
+      <HintPath>..\packages\EntityFramework.4.1.10331.0\lib\EntityFramework.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.CSharp" />
@@ -43,6 +43,7 @@
       <Private>True</Private>
     </Reference>
-    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, processorArchitecture=MSIL">
-      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.0\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
+    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.3\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
@@ -63,5 +64,5 @@
     </Reference>
     <Reference Include="System.Web.Providers">
-      <HintPath>..\packages\Microsoft.AspNet.Providers.Core.1.0\lib\net40\System.Web.Providers.dll</HintPath>
+      <HintPath>..\packages\System.Web.Providers.Core.1.0\lib\net40\System.Web.Providers.dll</HintPath>
     </Reference>
     <Reference Include="System.Web.Razor, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
@@ -133,4 +134,5 @@
     </Compile>
     <Compile Include="Helpers\ControllerService.cs" />
+    <Compile Include="Helpers\HtmlExtensions.cs" />
     <Compile Include="Mockup\MockupMembershipProvider.cs" />
     <Compile Include="Models\AccountModels.cs" />
@@ -297,7 +299,8 @@
     <Content Include="HeuristicLab 3.3.exe" />
     <Content Include="Mappings\tsp.xml" />
+    <Content Include="Scripts\jquery-1.4.4-vsdoc.js" />
+    <Content Include="Scripts\jquery-1.4.4.js" />
+    <Content Include="Scripts\jquery-1.4.4.min.js" />
     <Content Include="Scripts\jquery-1.5.1-vsdoc.js" />
-    <Content Include="Scripts\jquery-1.5.1.js" />
-    <Content Include="Scripts\jquery-1.5.1.min.js" />
     <Content Include="Scripts\jquery-ui-1.8.11.js" />
     <Content Include="Scripts\jquery-ui-1.8.11.min.js" />
@@ -336,5 +339,7 @@
     <Content Include="Views\Shared\_Layout.cshtml" />
     <Content Include="Views\Shared\_LogOnPartial.cshtml" />
-    <Content Include="Views\Web.config" />
+    <Content Include="Views\Web.config">
+      <SubType>Designer</SubType>
+    </Content>
     <Content Include="Views\_ViewStart.cshtml" />
     <Content Include="Web.config">
@@ -393,4 +398,6 @@
     <Content Include="Views\Order\OrderSaved.cshtml" />
     <Content Include="Views\OrderAdmin\Index.cshtml" />
+    <Content Include="Views\Order\Overview.cshtml" />
+    <Content Include="Views\Order\Payment.cshtml" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OrderAdminModel.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OrderAdminModel.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OrderAdminModel.cs	(revision 9582)
@@ -9,5 +9,7 @@
   public class OrderAdminModel {
     public long OrderId { get; set; }
-    public IList<Order> Orders { get; set; }
+    public IList<Order> CreatedOrders { get; set; }
+    public IList<Order> ActiveOrders { get; set; }
+    public IList<Order> SuspendedOrders { get; set; }
   }
 }
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OrderModel.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OrderModel.cs	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OrderModel.cs	(revision 9582)
@@ -8,11 +8,13 @@
 
   public class OrderModel {
-    public string BillingType { get; set; }
-    public string BillingPeriod { get; set; }
-    public DateTime ActiveSince { get; set; }
-    public DateTime ActiveUntil { get; set; }
+    public BillingType BillingType { get; set; }
+    public BillingPeriod BillingPeriod { get; set; }    
+    public DateTime? ActiveSince { get; set; }
+    public DateTime? ActiveUntil { get; set; }
+    public User User { get; set; }
     // product id to quantity mapping
     public IDictionary<long, int> ProductQuantities { get; set; }
     public IDictionary<long, Product> Products { get; set; }
+    public long PaymentInformationId { get; set; }
 
     public double TotalSum() {
@@ -35,4 +37,10 @@
   }
 
+  public class PaymentModel {
+    public PaymentMethod Method { get; set; }
+    public string CardNumber { get; set; }
+    public string AdditionalInformation { get; set; }
+  }
+
   public class ProductsModel {
     public IList<Product> Products { get; set; }
@@ -40,3 +48,7 @@
     public long ProductId { get; set; }
   }
+
+  public class OverviewModel {
+    public IList<Order> Orders { get; set; }
+  }
 }
